import 'package:daily_challenge/l10n/generated/app_localizations.dart';
import 'package:daily_challenge/l10n/generated/app_localizations_en.dart';
import 'package:design/design.dart';

class DailyChallengeStrings {
  static AppLocalizations? _instance;

  static AppLocalizations of() {
    AppLocalizations? result = _instance;
    if (result == null) {
      result = AppLocalizations.of(Get.context!) ?? AppLocalizationsEn();
      _instance = result;
    }
    return result;
  }

  static void init(BuildContext context) {
    _instance = AppLocalizations.of(context) ?? AppLocalizationsEn();
  }
}
